org.eclipse.rap.rwt.widgets

## Interface BrowserCallback

    public interface BrowserCallback

This callback interface is used to inform application code that the result of script execution or evaluation is available.

Since:
  2.0
See Also:
  `Browser.evaluate(String, BrowserCallback)`

### Method Summary

Methods
`void` `evaluationFailed(java.lang.Exception exception)` This method is called when the execution of the script failed.
`void` `evaluationSucceeded(java.lang.Object result)` This method is called when the execution of the script succeeded.

### Method Detail

#### evaluationSucceeded

    void evaluationSucceeded(java.lang.Object result)

This method is called when the execution of the script succeeded.

Parameters:
  `result` - the return value, if any, of executing the script
See Also:
  `Browser`

#### evaluationFailed

    void evaluationFailed(java.lang.Exception exception)

This method is called when the execution of the script failed.

Parameters:
  `exception` - the reason for the failing script execution.
See Also:
  `Browser`

Copyright (c) EclipseSource and others 2002, 2017. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0